* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  html, body {
    max-width: 100%;
    overflow-x: hidden;
  }
  
  .vl {
      border-left: 1px solid black;
      height: 20px;
      margin-right: 3px;
    }
    .hl{
      border-top: 1px solid #AAAAAA;
      width: 80%;
      margin: auto;
    }
  
    .hlJouet{
      border-top: 1px solid #AAAAAA;
      width: 100%;
      margin: auto;
    }
    .hlcart{
      border-top: 1px solid #AAAAAA;
      width: 70%;
      margin: auto;
    }
    a{
      text-decoration: none;
      font-size: 1.2vw;
    }
    h1{
      font-size: 2vw;
    }
    span{
      font-size: 1vw;
    }
    p{
      font-size: 1vw;
    }
    ul{
      list-style-type: none;
    }
  
  
  .logo img{
      max-width: 150px; 
  }
  .logoLogin{
    text-align: center;
    padding: 3%;
  }
  .logoLogin img{
    max-width: 225px;
  }
  .search{
    position: relative;
    max-width: 300px;
    width: 100%;
    background-color: white;
    border: 1px solid #AAAAAA;
    border-radius: 6px;
  }
  .search .fa-solid{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 5px;
    font-size: 20px;
    color: #AAAAAA;
  }
  .search input[type=text] {
      font-size: 16px;
      border: none;
      background-color: transparent;
      padding: 8px 8px 8px 40px;
     
  }
  .nav1{
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: auto;
  }
  
  .nav_div1{
       display: flex;
      align-items: center;
      gap: 1rem;
         
  }
  .nav_div2{
    display: flex;
    justify-content: center;
  }
  .nav_div2 div{
    display: flex;
    justify-content: space-between;
    gap: 1rem;
  }
  
  .nav2{
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #ffd91c;
  }
  .nav2 ul{
    display: flex;
    gap: 2rem;
  }
  .nav2 li{
    padding: 1.5% 5px 1.5% 5px;
  }
  .nav2 li:hover{
    background-color: white;
  
  }
  .ulSize{
  
   display: inline-block;
  }
  
  h4 {
    padding: 10px 0 10px 0;
  }
  
  
  ul#submenu {
      opacity: 0;
      position: absolute;
      display: block;
      visibility: hidden;
      z-index: 1;
      background-color: #eee;
  }
  
  #firstchild {
    position: relative;
  }
  #submenu li{
    float: none;
      width: 100%;
  }
  #firstchild:hover ul#submenu{
    opacity: 1;
      top: 53px;  /* adjust this as per top nav padding top & bottom comes */
      visibility: visible;
  
  }
  
  .slider {
    position: relative;
    height: 50vh;
    width: 100%;
    
  }

#sl{
  width: 100%;
  height: 400px;
}
  
  
  .slider_content {
    display: flex;
    justify-content: space-between;
    align-items: center;
   
  }
  
  .slider_btnright{
    position: absolute;
    top: 40%;
    right:  2%;
    background: transparent;
    border: none;
    outline: none;
    font-size: 2rem;
    color: #AAAAAA;
    padding: 0 1rem;
    cursor: pointer;
  }
  .slider_btnleft {
    position: absolute;
    top: 40%;
    left:  2%;
    background: transparent;
    border: none;
    outline: none;
    font-size: 2rem;
    color: #AAAAAA;
    padding: 0 1rem;
    cursor: pointer;
  }
  
  .main_section {
    background-color: #eee;
   
  }
  
  .main_sectionGarcon {
    background-color: white;
  }
  
  .card_Div {
    width: 80%;
    margin: auto;
  }
  
  .titleDiv{
   padding: 2%;
   text-align: center;
  }
  
  
  .cards{
    display: flex;
    padding: 1%;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
  }
  
  .detaiCards{
    display: flex;
    padding: 1%;
    justify-content: center;
    gap: 1rem;
    margin-top: 2rem;
  }
  
  .subcard{
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    width: 30%;
    border-radius: 5px;
  }
  
  .subcardch{
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    width: 30%;
   
  }
  .subcarddetail{
    box-shadow: 0 4px 8px 0 rgb(0 0 0 / 20%);
    width: 35.8%;
  }
  
  
  .subcardGarcon{
    width: 30%;
  }
  
  
   .discriptionGarcon {
    bottom: 6px;
    background-color: #39CCCC;
    color: white;
    width: 100%;
    text-align: center;
    padding: 5px;
  }
  
  
  .subcard:hover{
    transform: translateY(-0.5rem) scale(1.005) translateX(0.15rem);
    box-shadow: 0 4px 8px 0 rgba(246, 50, 50, 0.2);
  }
  
  
  
  .discription{
    padding: 12px 16px;
  }
  
  .productTitle
  {
    font-size: 20px;
    color: #424242;
    padding: 1%;
  }
  .productdisc{
    font-size: 14px;
    color: #616161;
    padding: 1%;
  }
  
  .prodprice{
    font-size: 20px;
    color: #00325f;
    padding: 1%;
  }
  
  .prodprice span{
    font-size: 24px;
  }
  .totalprice{
    display: flex;
    width: 100%;
    justify-content: center;
    padding: 1%;
  }
  .totalprice .prodprice{
    padding: 0;
    margin-left: 12px;
    margin-right: 14%;
  }
  .infoproduct{
    padding: 1%;
  }
  .cartproduct{
    padding: 1%;
  width: 50%;
  }
  
  .prodcolor{
    display: flex;
    padding: 1%;
    font-size: 14px;
    color: #424242;
  }
  .prodcolor p , label{
    margin-right: 10px;
  }
  .prodcolor p{
    margin-left: 10px;
  }
  .removecart{
    display: flex;
    padding: 1%;
    font-size: 18px;
    color: #424242;
    gap: 5px;
  }
  
  .divcolor{
    display: flex;
    margin-left:10px;
  }
  
  .prodcolor 
  .cl1{
    width: 20px;
    height: 20px;
    border-radius: 2px;
  }

  
  .cards img {
    border-radius: 5px 5px 0 0;
    width: 100%;
  }
  
  .nav1 .icon {
    display: none;
  }
  
  .loginform {
    background: #dddddd;
    width: 30%;
    margin: 65px auto;
    display: flex;
    flex-direction: column;
    border-radius: 4px;
    box-shadow: 0 2px 25px rgb(175 162 162 / 20%);
  }
  
  .input-icons i {
    position: absolute;
    right: 5%;
    top:25%;
    color: #39CCCC;
  
  }
  .input-icons {
    position: relative;
    width: 70%;
    margin: 10px auto 0 auto;
  }
  .input-reg{
    width: 100%;
    text-align: center;
    padding: 3px;
  }

  .input-reg .form-label{
    display: flex;
    justify-content: center;
    color: gray;
  
  }
 
  .input-reg .form-control {
    width: 70%;
    padding: 10px;
    box-shadow: 0 0 3px #AAAAAA;
    border-radius: 2px;
    border: 1px solid #39CCCC;
  }
  .icon {
    padding: 10px;
    min-width: 40px;
  }
  
  .input-field {
    width: 100%;
    padding: 10px;
    box-shadow: 0 0 3px  #AAAAAA;
    border-radius: 2px;
    border: 1px solid #39CCCC;
  }
  .logintitle h1{
    font-size: 2vw;
    text-align: center;
    color: #39CCCC;
  }
  .loginfield{
    padding: 1%;
  }
  .maincontent{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 35px;
  }
  .linkInc{
    color: #39CCCC;
  }

  .btnCart{
    background-color: #39CCCC;
    color: white;
    border-radius: 2px;
   padding: 11px 50px;
   text-align: center;
   font-size: 1vw;
  }

  .showproduct .btnCart{
    padding: 6px 26px;
  }
  
  .btnlogin{
    background-color: #ffd91c;
    color: white;
    border-radius: 2px;
   padding: 11px 50px;
   text-align: center;
   font-size: 1vw;
   width: 50%;
  }
  
  .cartDiv{
    display: flex;
    justify-content: center;
    padding: 2%;
    
  }
   
  .footerSection{
    background-color: #39cccc7e;
    margin: auto;
  }
  
  .fSubcard{
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    width: 18%;
    border-radius: 5px;
    border: 3px solid #AAAAAA;
    background-color: #dddddd; 
    height: 150px;
    line-height: 30px;
    padding: 1%;
    
  }
  .footerSection li{
   text-align: center;
  }
  .footerSection i{
    color:  #AAAAAA;
    font-size: 1.5rem;
  
  }
  .footerDiv1{
    width: 80%;
    margin: auto;
    padding: 1%;
  }
  .footerDiv2{
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: auto;
    padding: 1%;
  }
  
  input[type="checkbox"]:not(:checked), 
  input[type="checkbox"]:checked {
    position: absolute;
    left: -9999%;
  }
  input[type="checkbox"] + label {
    display: inline-block;
    padding: 5px;
    cursor: pointer;
    border: 1px solid #AAAAAA;
    color: #AAAAAA;
    font-size: 10px;
    border-radius: 2px;
  }
  
  .prodcolor input[type="checkbox"] + label{
    font-size: 15px;
  }
  
  input[type="checkbox"]:checked + label {
    border: 1px solid black;
    color: black;
  }
  

  .showproduct{
    display: flex;
    justify-content: space-between;
    padding-top: 10px;
    padding-bottom: 2px;
   
  }
  .siderimg{
    padding: 3px;
    box-shadow: 0 0 0.8px  #AAAAAA;
    margin-bottom: 8px;
    text-align: center;
   
  }
  .sideimage img{
    width: 50%;
  }
  .siderangle{
    text-align: center;
    color:  #dddddd;
    font-size: 1.5vw;
  }
  
  input[type="checkbox"]:not(:checked), input[type="checkbox"]:checked {
    position: static;
  }
  
  .btn.btn-lg.btn-primary {
    background-color: #ffd91c;
    color: white;
    border-radius: 2px;
    padding: 11px 50px;
    text-align: center;
    font-size: 1vw;
    width: 50%;
  }

  #inputEmail {
    width: 100%;
    padding: 10px;
    box-shadow: 0 0 3px #AAAAAA;
    border-radius: 2px;
    border: 1px solid #39CCCC;
  }

  #inputPassword {
    width: 100%;
    padding: 10px;
    box-shadow: 0 0 3px #AAAAAA;
    border-radius: 2px;
    border: 1px solid #39CCCC;
  }

  .input_acc{
    width: 100%;
    text-align: center;
    padding: 3px;
    color: #AAAAAA;
    box-shadow: 0 0 3px #AAAAAA;
    border-radius: 2px;
    border: 1px solid #39CCCC;
  }
 .btn-account-info{
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin-top: 20px;
 }

 .btn-account-info a{
      text-decoration: none;
      color: white;
      font-size: 1.3rem;
  }
  
 .accform {
    width: 50%;
    margin: 65px auto;
    display: flex;
    flex-direction: column;
   
  }
  .navtab_acc{
    display: flex;
    justify-content: center;
    gap: 5px;
    padding: 5px;
  }
  .input_navtab{
    background-color: #39CCCC;
    color: #ffd91c;
    width: 100%;
    text-align: center;
    padding: 12px;
    box-shadow: 0 0 3px #AAAAAA;
    border-radius: 2px;
    border: 1px solid #39CCCC;
  }

  .address_cart{
    display: flex;
    border: 1px solid #AAAAAA;
    margin-top: 2rem;
    padding: 1%;
    width: 85%;
  }
  .section_add_cart{
    display: flex;
  justify-content: center;
  }
  #addressDiv{
    flex: 0 1 150px;
  }

  
  
  @media screen and (max-width: 980px) {
    .logo img{
      max-width: 190px; 
    }
    a{
      font-size: 2.5vw;
    }
      span.productTitle {
        font-size: 2vw;
    }
    #sl {
      height: 540px;
    }
    .sideimage{
      flex-basis: 180px;
      
    }

    #sl {
      height: 406px;
    }
    .cartDiv {
      padding: 0%;
    }
    .btn.btn-lg.btn-primary{
      font-size: 2vw;
    }
    .btnlogin{
      font-size: 2vw;
    }
    
      .search{
        height: 35px;
        width: 53%;
      
      }
      .ulSize input[type="checkbox"] + label {
        font-size: 15px;
    
      }
  
    .showproduct .btnCart{
      padding: 10px 26px 6px 26px;
    }

    .btnCart{
     font-size: 2vw;
    }
    .cartproduct{
      width: 100%;
    }
    .search .fa-solid{
      left: 12px;
      font-size: 22px;
    }
    .search input[type=text]  {
      padding: 2px 8px 5px 46px;
      font-size: 23px;
    }
    .subcardch{
      width: 48%;
    }
    .cards{
      flex-wrap: wrap;
    }
    .detaiCards{
      flex-wrap: wrap;
    }
    .cards .fSubcard{
      width: 26%;
      height: 150px;
    }
  
    .productspan{
      font-size:1.5vw ;
    }

    .nav_div2 div span{
      font-size: 15px;
    }   
     span,p,h1{
      font-size: 2.5vw;
    }
    .loginform{
      width: 50%;
    }
    .logintitle h1{
      font-size: 3vw;
    }
    .linkInc{
      font-size: 2vw;
    }

 
  }
  
  
  @media screen and (max-width: 767px) {
    .nav2  {display: none;}
    
    .nav1 a.icon {
      float: right;
      display: block;
      font-size: 4vw;
      color: #AAAAAA;
    }
    .logo img{
      max-width: 65px; 
    }
    .search{
      height: 26px;
      width: 40%;
     
    }
    .search .fa-solid{
      left: 1px;
      font-size: 16px;
    }
    .search input[type=text]  {
      padding: 4px 8px 2px 16px;
      font-size: 15px;
    }
    .siderimg{
      margin-bottom: 0;
    
     
    }
    .sideimage img{
      width: 100%;
    }
  
    .nav_div2 div{
      display: flex;
      align-items: center;
      gap: 0.5rem;
    }
    .nav_div2 span{
    display: none;
    }
    .nav_div2 .fa-regular, .fa-solid{
    font-size: 3.5vw;
     }
    .vl {
    border: none;
    }
  
    .nav2.responsive {
      display: block;
      float: none;
      text-align: left;
      
    }
    .nav2.responsive ul{
      display: block;
      float: none;
      text-align: left;
    }
    .nav2.responsive a{
      font-size: 3vw;
    }
    
  
    .cards{
      flex-wrap: wrap;
    }
    .detaiCards{
      flex-wrap: wrap;
    }
    .sideimage{
      display: flex;
      align-items: center;
      
    }
    .siderangle{
      transform: rotate(-90deg);
    }
    .subcard{
      width: 100%;
    }
    .subcardch{
      width: 100%;
    
    }
    .subcardGarcon {
      width: 100%;
    }
    span,p,h1{
      font-size: 3.5vw;
    }
    .productTitle{
      font-size: 3.5vw;
    
    }
    .btn.btn-lg.btn-primary{
      font-size: 3vw;
    }
    .btnCart{
      font-size: 3vw;
    }
    .btnlogin{
      font-size: 3vw;
    }
      .productdisc{
      font-size: 3vw;
    
    }
    .cards .fSubcard{
      width: 36%;
      height: 135px;
    }
    
    .prodcolor ul input[type="checkbox"] + label{
      font-size: 12px;
    
    }
    
    .cartproduct{
      width: 100%;
    
    } 
    .prodprice span {
      font-size: 17px;
    }
    .hlcart{
      width: 100%;
    }
    .totalprice h2{
      font-size: 20px;
    }
    
    .loginform{
      width: 80%;
    }
    .logintitle h1{
      font-size: 7vw;
    }
    .linkInc{
      font-size: 3.5vw;
    }
    
    .btnlogin{
      width: 65%;
    }
    .btnlogin span{
      font-size: 4.5vw;
    }
  
  }
  
 